"use strict";
layui.extend({
    common    :   'js/common',
    orgTree    :   'layui/lay/mymodules/org-tree'
}).use(['jquery','layer','common','table','laytpl','form','orgTree'],function () {
    //  Jquery插件
    var $ = layui.jquery;
    //  引入公共模块
    var common = layui.common;
    //  引入表单
    var form = layui.form;

    var layuiTable = undefined;
    //  页面节点
    var $node = {
        //  是否禁用下拉框
        isEnableSelect  : $('#is_enable'),
        //  登录名表单
        loginNameInput  : $('#login_name'),
        //  用户名表单
        userNameInput  : $('#user_name'),
        //  手机号码表单
        userMobileInput : $('#user_mobile')
    };

    //  页面数据
    var pageData = {
        myOrgId     :   parseInt($('#user_org_id').val())
    };

    var selectItem = undefined;

    //  重新加载表格
    var reloadTable = function(){
        //  重新加载表格
        layuiTable.reload({
            //  设定异步数据接口的额外参数
            where: {
                loginName   :   $node.loginNameInput.val(),
                userName    :   $node.userNameInput.val(),
                userMobile  :   $node.userMobileInput.val(),
                selectedId  :   selectItem ? selectItem.id : ''
            }
            //  重新从第1页开始
            ,page: {
                curr: 1
            }
        });
    };

    //  初始化
    (function(){
        //  加载树形列表
        layui.orgTree({
            //  点击路径的回调函数
            pathClickFn     :   function(item){
                selectItem.id = item.id;
                reloadTable()
            },
            //  点击树的回调函数
            treeClickFn     :   function(item){
                selectItem = item;
                reloadTable()
            },
            //  当前用户的机构Id
            orgId   :   pageData.myOrgId,
            //  截至级别（不包含）
            isShowFlag : 2
        });
        //  初始化表单
        layuiTable = common.layuiTable.render(layui.table,{
            elem: '#data_entity_table'
            ,url: '/permissions/xq/device/admin/user/pagingQuery'
            ,cellMinWidth: 80//全局定义常规单元格的最小宽度，
            , cols: [[
                // { field: 'loginName', title: '登录名',align:'center' }
                // , { field: 'userName', title: '用户姓名',align:'center' }
                // , { field: 'orgName', title: '归属机构',align:'center' }
                // , { field: 'xqName', title: '归属小区',align:'center' }
                // , { field: 'userMobile', title: '联系方式',align:'center',width: '13%' }
                // , { field: 'isEnable', title: '状态',align:'center',templet: '#entity_is_enable' }
                // , { title: '操作', align: 'center',toolbar: '#table-tool',width:180}
                  { field: 'userName', title: '用户姓名',align:'center' }
                , { field: 'userMobile', title: '联系方式',align:'center',width: '13%' }
                , { field: 'xqName', title: '归属小区',align:'center' }
                , { field: 'loginName', title: '车牌号',align:'center' }
                , { field: 'loginPwd', title: '车辆类型',align:'center' }
                , { field: 'remark', title: '车身颜色',align:'center' }
                , { title: '操作', align: 'center',toolbar: '#table-tool',width:180}
            ]]
        });
    })();

    //  监听行工具事件
    layui.table.on('tool(data_table_event)', function(obj){
        switch(obj.event){
            //  修改
            case 'edit':
                layer.msg('修改功能,暂未开放');
                // common.openDefaultIframe({
                //     title   :   '编辑账号',
                //     content :   '/permissions/account/edit/' + obj.data.id
                // });
                break;
            //  删除
            case 'delete':
                layer.msg('删除功能,暂未开放');
                // layer.confirm('是否确认删除？',{icon: 7, title:'提示'}, function(index){
                //     var url = '/permissions/account/delete/' + obj.data.id;
                //     common.sendAsyncRequest(url,'GET',{},function(){
                //         //  刷新表格
                //         layuiTable.reload();
                //         layer.msg("删除成功");
                //         layer.close(index);
                //     });
                // });
                break;
            default:
                break;
        }
    });

    //  监听禁用状态
    layui.form.on('switch(switch_is_enable)', function(obj) {
        //  获取选中行数据
        var data = JSON.parse(decodeURIComponent($(this).data('json')));
        layer.msg('禁用启用功能,还没做');
        // //  发送请求
        // common.sendAsyncRequest("/permissions/account/updateIsEnable", "POST", {
        //     id: data.id,
        //     isEnable: obj.elem.checked ? 1 : 2
        // }, function(result){
        //     if (!result.data) {
        //         obj.othis.click();
        //     }
        // });
    });

    //监听查询
    form.on('submit(query)', function(){
        reloadTable();
    });

    //监听重置
    form.on('submit(reset)', function(){
        $node.loginNameInput.val('');
        $node.userNameInput.val('');
        $node.userMobileInput.val('');
        reloadTable();
    });

    //监听账号添加
    form.on('submit(add)', function(){
        if (selectItem && selectItem['id']) {
            common.openDefaultIframe({
                title   :   '添加账户',
                content :   '/permissions/xq/device/admin/user/add/' + selectItem['id']
            });
        }else {
            layer.msg('请先选中左侧的机构');
        }
    });

});
